"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAppearances = exports.kebabCase = void 0;
const kebabCase = (str) => str
    .replace(/([a-z0-9])([A-Z])/g, '$1-$2')
    .replace(/([A-Z])([A-Z])(?=[a-z])/g, '$1-$2')
    .toLowerCase();
exports.kebabCase = kebabCase;
const getAppearances = (color) => {
    const blackness = `color-mod(${color} blackness(35%))`;
    return {
        solid: {
            initial: {
                backgroundColor: color,
            },
            hover: {
                backgroundColor: blackness,
            },
        },
        outline: {
            initial: {
                backgroundColor: 'transparent',
                borderColor: color,
                color: color,
            },
            hover: {
                backgroundColor: color,
                color: '#fff',
            },
        },
        stroke: {
            initial: {
                backgroundColor: 'transparent',
                borderColor: color,
                color: color,
            },
            hover: {
                color: blackness,
                borderColor: blackness,
            },
        },
        flat: {
            initial: {
                backgroundColor: 'transparent',
                borderColor: 'transparent',
                color: color,
            },
            hover: {
                color: blackness,
            },
        },
    };
};
exports.getAppearances = getAppearances;
